Bug 660666 - Add support for IBM CTC (pointopoint) devices
Summary: Add support for IBM CTC (pointopoint) devices
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: NetworkManager
Version: 6.0
Hardware: s390x
OS: Linux
low
medium
Target Milestone: rc
: 6.2
Assignee: Dan Williams
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 641986
Blocks: 596826 707024
TreeView+ depends on / blocked
 
Reported: 2010-12-07 14:49 UTC by David Cantrell
Modified: 2011-12-06 15:20 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
NetworkManager did not recognize IBM CTC (Channel-to-Channel) devices, which made it impossible to install Red Hat Enterprise Linux on IBM S/390 machines which used CTC devices. NetworkManager now detects these devices properly, with the result that Red Hat Enterprise Linux can be installed on such machines.
Clone Of: 641986
Environment:
Last Closed: 2011-12-06 15:20:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1632 normal SHIPPED_LIVE NetworkManager bug fix and enhancement update 2011-12-06 00:50:44 UTC

Description David Cantrell 2010-12-07 14:49:35 UTC
+++ This bug was initially created as a clone of Bug #641986 +++

Description of problem:
Installation via CTC devices is currently not possible. 
First problem is that NM doesn't mark those devices as Network devices.
In src/nm-udev-manager.c:net_add the content of p.e. 
/sys/devices/ctcm/0.0.0150/net/ctc0/type is read. As it is a pointopoint device it doesn't have '1' in it but '256', so the check for 'if ((etype != 1)' fails.

Second problem that I couldn't pin down yet is that nm_connection_verify in the wired_connection_from_ifcfg function fails and afterward the ctc0 network interface gets shut down.

This is currently blocking installations with the current NM on the hercules  s390x emulatory, which would be very helpful for other Fedora maintainers to track down bugs in their packages as most of them don't have access to a real mainframe.

--- Additional comment from karsten@redhat.com on 2010-10-18 09:21:20 EDT ---

Created attachment 454105 [details]
Add support for ctc devices so that anaconda can install from those

I wasn't sure how to detect a network interface is of type CTC, so I'm currently relying on the interface name.

Comment 1 RHEL Product and Program Management 2011-04-04 01:55:09 UTC
Since RHEL 6.1 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.

Comment 2 RHEL Product and Program Management 2011-06-14 20:29:42 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.

Comment 5 John Jarvis 2011-06-30 14:01:14 UTC
This enhancement request was evaluated by the full Red Hat Enterprise Linux
team for inclusion in a Red Hat Enterprise Linux minor release.   As a result
of this evaluation, Red Hat has tentatively approved inclusion of this feature
in the next Red Hat Enterprise Linux Update minor release.   While it is a goal
to include this enhancement in the next minor release of Red Hat Enterprise
Linux, the enhancement is not yet committed for inclusion in the next minor
release pending the next phase of actual code integration and successful Red
Hat and partner testing.

Comment 6 Dan Williams 2011-07-21 16:10:59 UTC
So the fix for 6.2 would be a squashed combination of the following two upstream commits from the NM_0_8 branch:

e476360cacff60aab13f79c262d13e4ee8d6f146
8e707900c8d6bb72ca247c988159323b2e369f15

they should apply with minimal changes since this part of the code hasn't moved much since 0.8.1.

Comment 7 Dan Williams 2011-07-21 16:13:54 UTC
On the config and libnm-util side we'd want to backport:

61a416020e98b86c082e0cec7b5369947a5fdb89
c735e0fca8658a5c850144182db4f1c6ad0659fe
0e68e65d0a38293147527aeff67092da15c8cfe9

Comment 9 Jan Stodola 2011-08-15 13:07:31 UTC
I was able to install RHEL6.2-20110815.n.0 on s390x via a CTC device. After reboot to installed system, the CTC device was up and running:

root@rtt6 ~]# ip a
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: ctc0: <POINTOPOINT,NOARP,UP,LOWER_UP> mtu 32760 qdisc pfifo_fast state UNKNOWN qlen 100
    link/slip 
    inet 192.168.1.1 peer 192.168.1.2/32 brd 192.168.1.1 scope global ctc0
[root@rtt6 ~]# cat /etc/sysconfig/network-scripts/ifcfg-ctc0 
DEVICE="ctc0"
BOOTPROTO="static"
BROADCAST=""
DNS="192.168.1.2"
DNS1="192.168.1.2"
DNS2="192.168.1.2"
GATEWAY="192.168.1.2"
IPADDR="192.168.1.1"
MTU=""
NETMASK="255.255.255.255"
NETTYPE="ctc"
NM_CONTROLLED="yes"
ONBOOT="yes"
OPTIONS=""
SUBCHANNELS="0.0.0e00,0.0.0e01"
TYPE="CTC"
[root@rtt6 ~]# rpm -q NetworkManager
NetworkManager-0.8.1-11.el6.s390x

Comment 10 Miroslav Svoboda 2011-08-30 10:13:38 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
NetworkManager did not recognize IBM CTC (Channel-to-Channel) devices, which made it impossible to install Red Hat Enterprise Linux on IBM S/390 machines which used CTC devices. NetworkManager now detects these devices properly, with the result that Red Hat Enterprise Linux can be installed on such machines.

Comment 12 errata-xmlrpc 2011-12-06 15:20:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1632.html


Note You need to log in before you can comment on or make changes to this bug.